cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antonio Gallardo Rivera <agalla...@agsoftware.dnsalias.com>
Subject Re: [2.1]Lastest CVS build broken (EsqlConnection)
Date Sun, 20 Oct 2002 18:40:37 GMT
Thanks for your prompt request.

I checked it. The build.sh recongnize my 1.4 VM. It select 1.4 JVM. But I 
think there is a problem inside the database-block. I think this is not a 
question about the java version of the compiler:

/xml-cocoon2/build/cocoon/blocks/databases/src/org/apache/cocoon/components/language/markup/xsp/EsqlConnection.java:66:

org.apache.cocoon.components.language.markup.xsp.EsqlConnection should be 
declared abstract; it does not define setHoldability(int) in 
org.apache.cocoon.components.language.markup.xsp.EsqlConnection
public class EsqlConnection implements Connection {
       ^
1 error

As you can see there is an error that said:

EsqlConnection should be declared abstract; it does not define 
setHoldability(int) in 
org.apache.cocoon.components.language.markup.xsp.EsqlConnection

Regards,

Antonio Gallardo


El Domingo, 20 de Octubre de 2002 09:49, Torsten Curdt escribió:
> > > ...are you using jdk 1.4?
> >
> > Yes, 1.4.1
>
> ...there you go - your ant is trying to compile the class assuming you have
> a jdk 1.2 - 1.3. You need to tell the build system you are using jdk 1.4
> due to some JDBC API changes from 1.3 to 1.4.
>
> ...but AFAIR Carsten already put a check into the build.xml :-/ ?

---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message